﻿<UserControl x:Class="OrderCategorization.Controls.DatePickerUC"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             FontFamily="Vazir FD" FontSize="13" Name="owner"
             mc:Ignorable="d" LostFocus="UserControl_LostFocus" GotFocus="UserControl_GotFocus">
    <Grid Margin="24,16,24,0">
        <Grid Height="Auto" Width="Auto" FlowDirection="RightToLeft">
            <Grid.RowDefinitions>
                <RowDefinition Height="42"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>
            <TextBox x:Name="DateTextBox" Tag="{Binding Tag, ElementName=owner}" HorizontalAlignment="Stretch" Height="42" TextWrapping="Wrap" Text="{Binding Date, ElementName=owner, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" VerticalAlignment="Top" MinWidth="300" VerticalContentAlignment="Center" MouseDoubleClick="DateTextBox_MouseDoubleClick" TextChanged="DateTextBox_TextChanged" Margin="0"/>
            <Button Click="ToggleVisibility" Width="42" HorizontalAlignment="Right" BorderThickness="0" Margin="1" Style="{DynamicResource CalendarButtonStyle}" BorderBrush="{x:Null}">
                <Image Source="/OrderCategorization;component/Images/CommonIcon/Down.png" HorizontalAlignment="Center" VerticalAlignment="Center" Stretch="Fill" Width="14" Height="14"/>
            </Button>

            <Popup IsOpen="False" Grid.Row="1" Name="DateSelectionPopup" PopupAnimation="{DynamicResource {x:Static SystemParameters.ComboBoxPopupAnimationKey}}" StaysOpen="False">
                <Grid  Height="280" Width="{Binding ActualWidth, ElementName=DateTextBox}" Background="White">
                    <Grid.RowDefinitions>
                        <RowDefinition Height="40"/>
                        <RowDefinition/>
                    </Grid.RowDefinitions>
                    <Rectangle Stroke="#FF3CA3F4" Grid.RowSpan="2"/>
                    <Grid Margin="1,0">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="*"/>
                            <ColumnDefinition Width="42"/>
                            <ColumnDefinition Width="42"/>
                        </Grid.ColumnDefinitions>

                        <Button x:Name="YearMonthTextBlock" Content="{Binding Content}" BorderThickness="0" Foreground="#FF00AD97" Click="SwitchButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>

                        <Button BorderThickness="0" Grid.Column="1" Click="NextButton_Click" Style="{DynamicResource CalendarButtonStyle}">
                            <Image Source="/OrderCategorization;component/Images/CommonIcon/Next.png" HorizontalAlignment="Center" VerticalAlignment="Center" Stretch="None"/>
                        </Button>

                        <Button Grid.Column="2" BorderThickness="0" Click="PreButton_Click" Style="{DynamicResource CalendarButtonStyle}">
                            <Image Source="/OrderCategorization;component/Images/CommonIcon/Previous.png" HorizontalAlignment="Center" VerticalAlignment="Center" Stretch="None"/>
                        </Button>

                        <Rectangle Grid.ColumnSpan="3" VerticalAlignment="Bottom" Height="1" Fill="#FFF8F8F8" />
                    </Grid>
                    <Grid Grid.Column="1" Grid.RowSpan="2" Margin="1,44,1,1" Visibility="{Binding IsYearMode, Converter={StaticResource booleanToVisibilityConverter}, ConverterParameter=true}">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="1*"/>
                            <ColumnDefinition Width="1*"/>
                            <ColumnDefinition Width="1*"/>
                        </Grid.ColumnDefinitions>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="1*"/>
                        </Grid.RowDefinitions>

                        <Button x:Name="M_1" Content="فروردین" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_2" Content="اردیبهشت" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Column="1" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_3" Content="خرداد" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Column="2" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_4" Content="تیر" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Row="1" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_5" Content="مرداد" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Column="1" Grid.Row="1" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_6" Content="شهریور" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Column="2" Grid.Row="1" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_7" Content="مهر" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Row="2" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_8" Content="آبان" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Column="1" Grid.Row="2" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_9" Content="آذر" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Column="2" Grid.Row="2" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_10" Content="دی" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Row="3" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_11" Content="بهمن" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Column="1" Grid.Row="3" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="M_12" Content="اسفند" BorderThickness="0" MouseDoubleClick="MonthButton_DblClick" Grid.Column="2" Grid.Row="3" Style="{DynamicResource CalendarButtonStyle}"/>
                    </Grid>

                    <Grid Name="DaysGrid" Grid.Column="1" Grid.RowSpan="2" Margin="1,44,1,1" Visibility="{Binding IsYearMode, Converter={StaticResource booleanToVisibilityConverter}, ConverterParameter=false}">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="1*"/>
                            <ColumnDefinition Width="1*"/>
                            <ColumnDefinition Width="1*"/>
                            <ColumnDefinition Width="1*"/>
                            <ColumnDefinition Width="1*"/>
                            <ColumnDefinition Width="1*"/>
                            <ColumnDefinition Width="1*"/>
                        </Grid.ColumnDefinitions>
                        <Grid.RowDefinitions>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="1*"/>
                            <RowDefinition Height="1*"/>
                        </Grid.RowDefinitions>
                        <Button x:Name="D_1" Content="1" BorderThickness="1,1,0,0" Grid.Row="1" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_2" Content="1" BorderThickness="1,1,0,0" Grid.Row="1" Grid.Column="1" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_3" Content="1" BorderThickness="1,1,0,0" Grid.Row="1" Grid.Column="2" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_4" Content="1" BorderThickness="1,1,0,0" Grid.Row="1" Grid.Column="3" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_5" Content="1" BorderThickness="1,1,0,0" Grid.Row="1" Grid.Column="4" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_6" Content="1" BorderThickness="1,1,0,0" Grid.Row="1" Grid.Column="5" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_7" Content="1" BorderThickness="1,1,0,0" Grid.Row="1" Grid.Column="6" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_8" Content="1" BorderThickness="1,1,0,0" Grid.Row="2" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_9" Content="1" BorderThickness="1,1,0,0" Grid.Row="2" Grid.Column="1" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_10" Content="1" BorderThickness="1,1,0,0" Grid.Row="2" Grid.Column="2" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_11" Content="1" BorderThickness="1,1,0,0" Grid.Row="2" Grid.Column="3" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_12" Content="1" BorderThickness="1,1,0,0" Grid.Row="2" Grid.Column="4" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_13" Content="1" BorderThickness="1,1,0,0" Grid.Row="2" Grid.Column="5" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_14" Content="1" BorderThickness="1,1,0,0" Grid.Row="2" Grid.Column="6" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_15" Content="1" BorderThickness="1,1,0,0" Grid.Row="3" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_16" Content="1" BorderThickness="1,1,0,0" Grid.Row="3" Grid.Column="1" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_17" Content="1" BorderThickness="1,1,0,0" Grid.Row="3" Grid.Column="2" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_18" Content="1" BorderThickness="1,1,0,0" Grid.Row="3" Grid.Column="3" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_19" Content="1" BorderThickness="1,1,0,0" Grid.Row="3" Grid.Column="4" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_20" Content="1" BorderThickness="1,1,0,0" Grid.Row="3" Grid.Column="5" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_21" Content="1" BorderThickness="1,1,0,0" Grid.Row="3" Grid.Column="6" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_22" Content="1" BorderThickness="1,1,0,0" Grid.Row="4" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_23" Content="1" BorderThickness="1,1,0,0" Grid.Row="4" Grid.Column="1" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_24" Content="1" BorderThickness="1,1,0,0" Grid.Row="4" Grid.Column="2" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_25" Content="1" BorderThickness="1,1,0,0" Grid.Row="4" Grid.Column="3" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_26" Content="1" BorderThickness="1,1,0,0" Grid.Row="4" Grid.Column="4" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_27" Content="1" BorderThickness="1,1,0,0" Grid.Row="4" Grid.Column="5" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_28" Content="1" BorderThickness="1,1,0,0" Grid.Row="4" Grid.Column="6" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_29" Content="1" BorderThickness="1,1,0,0" Grid.Row="5" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_30" Content="1" BorderThickness="1,1,0,0" Grid.Row="5" Grid.Column="1" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_31" Content="1" BorderThickness="1,1,0,0" Grid.Row="5" Grid.Column="2" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_32" Content="1" BorderThickness="1,1,0,0" Grid.Row="5" Grid.Column="3" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_33" Content="1" BorderThickness="1,1,0,0" Grid.Row="5" Grid.Column="4" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_34" Content="1" BorderThickness="1,1,0,0" Grid.Row="5" Grid.Column="5" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_35" Content="1" BorderThickness="1,1,0,0" Grid.Row="5" Grid.Column="6" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_36" Content="1" BorderThickness="1,1,0,0" Grid.Row="6" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_37" Content="1" BorderThickness="1,1,0,0" Grid.Row="6" Grid.Column="1" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_38" Content="1" BorderThickness="1,1,0,0" Grid.Row="6" Grid.Column="2" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_39" Content="1" BorderThickness="1,1,0,0" Grid.Row="6" Grid.Column="3" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_40" Content="1" BorderThickness="1,1,0,0" Grid.Row="6" Grid.Column="4" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_41" Content="1" BorderThickness="1,1,0,0" Grid.Row="6" Grid.Column="5" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>
                        <Button x:Name="D_42" Content="1" BorderThickness="1,1,0,0" Grid.Row="6" Grid.Column="6" Click="DayButton_Click" Style="{DynamicResource CalendarButtonStyle}"/>

                        <TextBlock HorizontalAlignment="Center" TextWrapping="Wrap" Text="ش" VerticalAlignment="Center" Foreground="Gray"/>
                        <TextBlock HorizontalAlignment="Center" TextWrapping="Wrap" VerticalAlignment="Center" Foreground="Gray" Grid.Column="1" Text="ی"/>
                        <TextBlock HorizontalAlignment="Center" TextWrapping="Wrap" VerticalAlignment="Center" Foreground="Gray" Grid.Column="2" Text="د"/>
                        <TextBlock HorizontalAlignment="Center" TextWrapping="Wrap" VerticalAlignment="Center" Foreground="Gray" Grid.Column="3" Text="س"/>
                        <TextBlock HorizontalAlignment="Center" TextWrapping="Wrap" VerticalAlignment="Center" Foreground="Gray" Grid.Column="4" Text="چ"/>
                        <TextBlock HorizontalAlignment="Center" TextWrapping="Wrap" VerticalAlignment="Center" Foreground="Gray" Grid.Column="5" Text="پ"/>
                        <TextBlock HorizontalAlignment="Center" TextWrapping="Wrap" VerticalAlignment="Center" Foreground="#FFFF7878" Grid.Column="6" Text="ج"/>

                        <Rectangle Name="SelectedDayIndicatorRectangle" Stroke="#FF3CA3F4" Grid.Row="1"/>
                    </Grid>
                    <!--<Rectangle Grid.RowSpan="3" Stroke="#FF04C6FF" />-->
                </Grid>
            </Popup>
        </Grid>
    </Grid>
</UserControl>